#include <iostream>
#include <fstream>
using namespace std;
int main()
{
    ifstream f1("doinp.inp");
    long n,j=1,i;
    long a[100000];
    f1>>n;
    f1.close();
    do{
        a[j]=n%2;
        n=n/2;
        j++;
    }
    while(n!=0);
    ofstream f2("doinp.out");
    for(i=j-1;i>0;i--){
        f2<<a[i];
    }
    f2.close();
    return 0;
}
